//
//  cvmat_serialization.cpp
//  FeatureDetector
//
//  Created by 熊田 聖也 on 12/05/07.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#include "cvmat_serialization.h"
#include <fstream>
#include <boost/archive/binary_oarchive.hpp>
#include <boost/archive/binary_iarchive.hpp>

void save_mat(const cv::Mat& m, const std::string& filename)
{
        std::ofstream ofs(filename.c_str());
        boost::archive::binary_oarchive oa(ofs);
        //boost::archive::text_oarchive oa(ofs);
        oa << m;
}

void load_mat(cv::Mat& m, const std::string& filename) 
{
        std::ifstream ifs(filename.c_str());
        boost::archive::binary_iarchive ia(ifs);
        //boost::archive::text_iarchive ia(ifs);
        ia >> m;
}
